brew upgradeで Your CLT does not support macOS 11というエラーがでた

開発

タグ homebrew macOS Big Sur

macOSをBig Surに更新してから、homebrewの更新をするとエラーが発生したのでメモ。

$ brew update
$ brew upgrade

を実行すると、

Error: Your CLT does not support macOS 11

と表示されました。

以下を実行すれば、更新できるようになりました。

$ sudo rm -rf /Library/Developer/CommandLineTools
$ sudo xcode-select --install

オススメ記事